%define upstream_name    ExtUtils-CppGuess
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Guess C++ compiler and flags
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

BuildArch: noarch
Obsoletes: perl-ExtUtils-CppGuess < 0.90.0-2

%description
'ExtUtils::CppGuess' attempts to guess the system's C++ compiler that is
compatible with the C compiler that your perl was built with.

It can generate the necessary options to the the Module::Build manpage
constructor or to the ExtUtils::MakeMaker manpage's 'WriteMakefile'
function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1027165
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 970005
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 884574
- update to 0.11

* Thu Jun 25 2015 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 843155
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-7.mga5
+ Revision: 739141
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-6.mga5
+ Revision: 684677
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-5.mga4
+ Revision: 525251
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.70.0-4.mga4
+ Revision: 432705
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-3.mga3
+ Revision: 367011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.70.0-2.mga3
+ Revision: 252305
- License fix
- imported package perl-ExtUtils-CppGuess


* Thu May 31 2012 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
